﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "ruRU", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["ENABLE_SCAN_GARRISON_CHEST"] = "Toggle searching garrison treasure";
	AL["ENABLE_SCAN_GARRISON_CHEST_DESC"] = "When this is activated you will be warned visually and with a sound everytime your garrison chest shows up in your minimap.";
	AL["ENABLE_SCAN_IN_ASHRAN"] = "Toggle alerts in Ashran";
	AL["ENABLE_SCAN_IN_ASHRAN_DESC"] = "When this is activated you will get alerts from NPCs rares and events in Ashran.";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound for rare NPCs";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC shows up in your minimap.";
	AL["ALARM_TREASURES_SOUND"] = "Warning sound for events/treasures";
	AL["ALARM_TREASURES_SOUND_DESC"] = "Sound played when a treasure/chest or event shows up in your minimap.";
	AL["DISPLAY"] = "Display";
	AL["DISPLAY_OPTIONS"] = "Display options";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";
	AL["FILTERS"] = "Rare NPCs filters";
	AL["FILTER_RARE_LIST"] = "Filter searching for rare NPCs";
	AL["FILTER_RARE_LIST_DESC"] = "Toggle searching for this rare NPC. When disabled you won't get an alert when this NPC is found.";
		
	-- RARE names
	AL["RARE_LIST"] = {
		-- Rares Pandaria
		["Эонакс"] = 50062; --Aeonaxx
		["Айта"] = 58778; --Aetha
		["Этис"] = 50750; --Aethis
		["Ахон Странствующая"] = 50817; --Ahone the Wanderer
		["Ай-Ли Небесное Зеркало"] = 50821; --Ai-Li Skymirror
		["Ай-Жань Летящее Облако"] = 50822; --Ai-Ran the Shifting Cloud
		["Ал'табим Всевидящий"] = 70000; --Al'tabim the All-Seeing
		["Анха"] = 54318; --Ankha
		["Антрисс"] = 54338; --Anthriss
		["Архиерей пламени"] = 73666; --Archiereus of Flame
		["Предводитель ритуалистов Келад"] = 70243; --Archritualist Kelada
		["Арнесс Чешуйчатый"] = 50787; --Arness the Scale
		["Ломатель хребтов Уру"] = 70001; --Backbreaker Uru
		["Бай-Цзинь Мясник"] = 58949; --Bai-Jin the Butcher
		["Бан'талос"] = 54320; --Ban'thalos
		["Баолай Воспламенитель"] = 63695; --Baolai the Immolator
		["Черное Копыто"] = 51059; --Blackhoof
		["Кроволапка"] = 58474; --Bloodtip
		["Бонобос"] = 50828; --Bonobos
		["Борджинн Кулак Тьмы"] = 50341; --Borginn Darkfist
		["Буфо"] = 72775; --Bufo
		["Защитник Черного Пламени"] = 73171; --Champion of the Black Flame
		["Шелон"] = 72045; --Chelon
		["Пеплопад"] = 73175; --Cinderfall
		["Курниф Долгоног"] = 50768; --Cournith Waterstrider
		["Хрустозуб"] = 58768; --Cracklefang
		["Журавлецап"] = 72049; --Cranegnasher
		["Дак Крушитель"] = 50334; --Dak the Breaker
		["Далан Разрушитель Ночи"] = 68318; --Dalan Nightbreaker
		["Мер'тилак"] = 54322; --Deth'tilac
		["Диша Защищающая от Страха"] = 68319; --Disha Fearwarden
		["Доктор Теолен Крастинов"] = 59369; --Doctor Theolen Krastinov
		["Проклятый корабль \"Вазувий\""] = 73281; --Dread Ship Vazuvius
		["Изумрудный гусак"] = 73158; --Emerald Gander
		["Ишилон"] = 50772; --Eshelon
		["Вечножор"] = 73279; --Evermaw
		["Фердинанд"] = 51078; --Ferdinand
		["Мясо'рок Прокаженный"] = 70429; --Flesh'rok the Diseased
		["Повелитель кремня Гайран"] = 73172; --Flintlord Gairan
		["Сосредоточенный глаз"] = 70249; --Focused Eye
		["Гаарн Ядовитый"] = 50340; --Gaarn the Toxic
		["Гаохунь Ловец Душ"] = 62881; --Gaohun the Soul-Severer
		["Гар'лок"] = 50739; --Gar'lok
		["Гарния"] = 73282; --Garnia
		["Генерал Темуджа"] = 63101; --General Temuja
		["Призрачный Краб"] = 50051; --Ghostcrawler
		["Го-Кан"] = 50331; --Go-Kan
		["Гочао Железный Кулак"] = 62880; --Gochao the Ironfist
		["Бог-исполин Рамук"] = 69999; --God-Hulk Ramuk
		["Года"] = 69998; --Goda
		["Голганарр"] = 72970; --Golganarr
		["Большая черепаха Гневный Панцирь"] = 73161; --Great Turtle Furyshell
		["Гу'чи Зовущий Рой"] = 72909; --Gu'chi the Swarmbringer
		["Хавак"] = 50354; --Havak
		["Взбешенный голем Похитителей Солнца"] = 50358; --Haywire Sunreaver Construct
		["Хо-Шуан"] = 63691; --Huo-Shuang
		["Холон"] = 73167; --Huolon
		["Ик-Ик Проворный"] = 50836; --Ik-Ik the Nimble
		["Императорский питон"] = 73163; --Imperial Python
		["Твердорогий сталемех"] = 73160; --Ironfur Steelhorn
		["Нефритовый Клык"] = 49822; --Jadefang
		["Якур Ордосский"] = 73169; --Jakur of Ordon
		["Джон-Дар"] = 50351; --Jonn-Dar
		["Ках'тир"] = 50355; --Kah'tir
		["Кал'тик Болезнетворный"] = 50749; --Kal'tik the Blight
		["Кан Похититель Душ"] = 50349; --Kang the Soul Thief
		["Кар Развязывающий Войну"] = 68321; --Kar Warmaker
		["Карканос"] = 72193; --Karkanos
		["Каркин"] = 50959; --Karkin
		["Карома"] = 50138; --Karoma
		["Карр Несущий Тьму"] = 50347; --Karr the Darkener
		["Кирикс"] = 54323; --Kirix
		["Кор'нас Ночной Изверг"] = 50338; --Kor'nas Nightsavage
		["Корда Торрос"] = 50332; --Korda Torros
		["Кракканон"] = 70323; --Krakkanon
		["Кракс'ик"] = 50363; --Krax'ik
		["Кри'чон"] = 63978; --Kri'chon
		["Крол Клинок"] = 50356; --Krol the Blade
		["Ку'лаи Коготь Небес"] = 69996; --Ku'lai the Skyclaw
		["Целитель листвы"] = 73277; --Leafmender
		["Лит'ик Охотник"] = 50734; --Lith'ik the Stalker
		["Лонь Бык"] = 50333; --Lon the Bull
		["Лю-Бань"] = 70002; --Lu-Ban
		["Магрия"] = 54319; --Magria
		["Майор Наннерс"] = 50840; --Major Nanners
		["Мавис Хармс"] = 68317; --Mavis Harms
		["Мистер Лютый"] = 50823; --Mister Ferocious
		["Молдо Одноглазый"] = 50806; --Moldo One-Eye
		["Молтор"] = 70003; --Molthor
		["Монара"] = 70440; --Monara
		["Огромный хребтохват"] = 73166; --Monstrous Spineclaw
		["Моргринн Треснувший Клык"] = 50350; --Morgrinn Crackfang
		["Муэрта"] = 68322; --Muerta
		["Мумта"] = 69664; --Mumta
		["Нал'лак Раздиратель"] = 50364; --Nal'lak the Ripper
		["Налаш Зеленый"] = 50776; --Nalash Verdantis
		["Нашра Пятнистая Шкура"] = 50811; --Nasra Spothide
		["Нессос Прозорливый"] = 50789; --Nessos the Oracle
		["Но'ку Буревестник"] = 70276; --No'ku Stormsayer
		["Норлакс"] = 50344; --Norlaxx
		["Омнис Гринлок"] = 50805; --Omnis Grinlok
		["Властитель Губительная Ярость"] = 50085; --Overlord Sunderfury
		["Принц Лакма"] = 54533; --Prince Lakma
		["Породитель"] = 69997; --Progenitus
		["Ку'нас"] = 50352; --Qu'nas
		["Склизень"] = 58771; --Quid
		["Ра'ша"] = 70530; --Ra'sha
		["Косохрип"] = 72048; --Rattleskew
		["Пещерный Мох"] = 73157; --Rock Moss
		["Скальный ужас"] = 70430; --Rocky Horror
		["Жуунь Призрачная Лапа"] = 50816; --Ruun Ghostpaw
		["Сан Охотник Прилива"] = 50780; --Sahn Tidehunter
		["Сальинь-разведчик"] = 50783; --Salyin Warscout
		["Самбас"] = 50159; --Sambas
		["Сарнак"] = 50782; --Sarnak
		["Шкряб"] = 50831; --Scritch
		["Селе'на"] = 50766; --Sele'na
		["Повелитель теней Сайдоу"] = 63240; --Shadowmaster Sydow
		["Силстрисс Точильщик"] = 50791; --Siltriss the Sharpener
		["Скарр"] = 50815; --Skarr
		["Ски'тик"] = 50733; --Ski'thik
		["Жарисс"] = 54324; --Skitterflame
		["Соликс"] = 54321; --Solix
		["Чароброд"] = 71864; --Spelurk
		["Дух Нефритового Пламени"] = 72769; --Spirit of Jadefire
		["Дух Лао-Фэ"] = 58817; --Spirit of Lao-Fe
		["Хмызень"] = 50830; --Spriggin
		["Вонекос"] = 73704; --Stinkbraid
		["Сулик'шор"] = 50339; --Sulik'shor
		["Тарвий Злобный"] = 50086; --Tarvus the Vile
		["Изувой"] = 50832; --The Yowler
		["Торик-Этис"] = 50388; --Torik-Ethis
		["Тсаво'ка"] = 72808; --Tsavo'ka
		["Убунти Тень"] = 68320; --Ubunti the Shade
		["Немигающий глаз"] = 70238; --Unblinking Eye
		["Урдур Прижигатель"] = 73173; --Urdur the Cauterizer
		["Урголакс"] = 50359; --Urgolax
		["Странствующий Уроби"] = 50808; --Urobi the Walker
		["Злобнохап"] = 58769; --Vicejaw
		["Вираксис"] = 63977; --Vyraxxis
		["Бог войны Дока"] = 70096; --War-God Dokah
		["Смотритель Осу"] = 73170; --Watcher Osu
		["Виззиг"] = 73293; --Whizzig
		["Уилли Уайлдер"] = 70126; --Willy Wilder
		["Улунь"] = 63510; --Wulon
		["Йорик Острый Глаз"] = 50336; --Yorik Sharpeye
		["Юл Дикая Лапа"] = 50820; --Yul Wildpaw
		["Зей Изгой"] = 50769; --Zai the Outcast
		["Зандаларский завоеватель"] = 69769; --Zandalari Warbringer cian
		["Зандаларский завоеватель"] = 69842; --Zandalari Warbringer gray
		["Зандаларский завоеватель"] = 69841; --Zandalari Warbringer silver
		["Зандаларский военный разведчик"] = 69768; --Zandalari Warscout
		["Зао'чо"] = 69843; --Zao'cho
		["Зесква"] = 72245; --Zesqua
		["Чжу-Гонь Прокисший"] = 71919; --Zhu-Gon the Sour
		
		-- Rares Draenor
		["Амаюква"] = 77140; --Amaukwa
		["Древний мастер клинка"] = 82899; --Ancient Blademaster
		["Аквалир"] = 86213; --Aqualir
		["Аватара Сокретара"] = 88043; --Avatar of Socrethar
		["Ба'руун"] = 82326; --Ba'ruun
		["Бахаглаз"] = 81406; --Bahameye
		["Башиок"] = 82085; --Bashiok
		["Зверорез Сарамор"] = 78150; --Beastcarver Saramor
		["Бетси Коробах"] = 84887; --Betsi Boombasket
		["Танцующий с клинками Эйрикс"] = 80614; --Blade-Dancer Aeryx
		["Яркосветик"] = 84856; --Blightglow
		["Тернистый король Фили"] = 81639; --Brambleking Fili
		["Бездыханный"] = 78867; --Breathless
		["Брутаг Мрачный Клинок"] = 87234; --Brutag Grimblade
		["Каньонная праматерь-ледолиск"] = 71721; --Canyon Icemother
		["Чар Горящий"] = 82311; --Char the Burning
		["Хладноклык"] = 80242; --Chillfang
		["Магмочрев"] = 72294; --Cindermaw
		["Заклинатель облаков Дабер"] = 78169; --Cloudspeaker Daber
		["Хладноступ Скорбящий"] = 77513; --Coldstomp the Griever
		["Ледяной Клык"] = 76914; --Coldtusk
		["Кро Раздиратель Плоти"] = 77620; --Cro Fleshrender
		["Ярость Циклона"] = 78621; --Cyclonic Fury
		["Темная эманация"] = 77085; --Dark Emanation
		["Темный магистр Го'вид"] = 82268; --Darkmaster Go'vid
		["Темный Коготь"] = 82411; --Darktalon
		["Кизи Остроглаз"] = 77763; --Deadshot Kizi
		["Глубокорний"] = 82058; --Depthroot
		["Злобнорог"] = 86729; --Direhoof
		["Доктор Мрак"] = 77561; --Dr. Gloom
		["Буркат Стальная Пасть"] = 84807; --Durkath Steelmaw
		["Повелитель стихий Унтра"] = 77768; --Elementalist Utrah
		["Энавра"] = 82676; --Enavra
		["Энавра"] = 82742; --Enavra
		["Яркочар"] = 82207; --Faebright
		["Клыкарь"] = 82975; --Fangler
		["Сквернодрев"] = 80204; --Felbark
		["Нечестивая наложница"] = 82992; --Felfire Consort
		["Тухлоцвет"] = 84890; --Festerbloom
		["Великан Огненной Ярости"] = 74971; --Firefury Giant
		["Поджигатель Граш"] = 88580; --Firestarter Grash
		["Кремнешкур"] = 83483; --Flinthide
		["Хозяйка кузни Тарга"] = 77648; --Forge Matron Targa
		["Камнедрев Твердая Кора"] = 85250; --Fossilwood the Petrified
		["Разъяренный голем"] = 77614; --Frenzied Golem
		["Гальзомар"] = 78713; --Galzomar
		["Гар'луа"] = 82764; --Gar'lua
		["Гаррисон Форд"] = 86058; --Garrison Ford
		["Джелгор Синее Пламя"] = 81038; --Gelgor of the Blue Flame
		["Генерал Эвд"] = 82882; --General Aevd
		["Геннадиан"] = 80471; --Gennadian
		["Убийца великанов Кул"] = 71665; --Giant-Slayer Kul
		["Убийца великанов Кимла"] = 78144; --Giantslayer Kimla
		["Мерцатель"] = 77719; --Glimmerwing
		["Проглот"] = 80868; --Glut
		["Кривотоп Бешеный"] = 82778; --Gnarlhoof the Rabid
		["Горум"] = 76380; --Gorum
		["Главнокомандующий Тремблейд"] = 82876; --Grand Marshal Tremblade
		["Большое Перо"] = 82758; --Greatfeather
		["Грелдрок Коварный"] = 84431; --Greldrok the Cunning
		["Седоморд"] = 82912; --Grizzlemaw
		["Охотник на гроннов Даварн"] = 78128; --Gronnstalker Dawarn
		["Хранитель рощи Йал"] = 88583; --Grove Warden Yal
		["Грутуш Погромщик"] = 80312; --Grutush the Pillager
		["Груук"] = 80190; --Gruuk
		["Гурун"] = 80235; --Gurun
		["Хаакун Всепожирающий"] = 83008; --Haakun the All-Consuming
		["Молотозуб"] = 77715; --Hammertooth
		["Наседка Хами"] = 77626; --Hen-Mother Hami
		["Отшельник Белошкур"] = 86724; --Hermit Palefur
		["Верховный полководец Волрат"] = 82877; --High Warlord Volrath
		["Охотница Бал'ра"] = 88672; --Hunter Bal'ra
		["Охотник Чернозуб"] = 83603; --Hunter Blacktooth
		["Искусный охотник Куанг"] = 78151; --Huntmaster Kuang
		["Ярость Огня"] = 78161; --Hyperious
		["Инша'тар"] = 83553; --Insha'tar
		["Бармагрыз"] = 82616; --Jabberjaw
		["Джалук Мирный"] = 87600; --Jaluk the Pacifist
		["Джиасска, Пожирательница спор"] = 84955; --Jiasska the Sporegorger
		["Калос Обагренный"] = 84810; --Kalos the Bloodbathed
		["Карош Черный Ветер"] = 86959; --Karosh Blackwind
		["Хараз Победоносный"] = 78710; --Kharazos the Triumphant
		["Смертоклык"] = 74206; --Killmaw
		["Кликкикс"] = 78872; --Klikixx
		["Пророк Бездны Ку'тарг"] = 72362; --Ku'targ the Voidseer
		["Владычица соблазнов"] = 85121; --Lady Temptessa
		["Листочтец Курри"] = 72537; --Leaf-Reader Kurri
		["Ло'марг Дробитель Зубов"] = 77784; --Lo'marg Jawcrusher
		["Владыка Коринак"] = 82920; --Lord Korinak
		["Сумасшедший \"Король\" Спореон"] = 77310; --Mad "King" Sporeon
		["Малрок Камнекрушитель"] = 83643; --Malroc Stonesunder
		["Мандракор"] = 84406; --Mandrakor
		["Маршал Габриэль"] = 82878; --Marshal Gabriel
		["Маршал Карш Закаленный Бурей"] = 82880; --Marshal Karsh Stormforge
		["Властительница греха"] = 82998; --Matron of Sin
		["Морва Исказительница Душ"] = 82362; --Morva Soultwister
		["Праматерь Аранея"] = 76473; --Mother Araneae
		["Мать Ом'ра"] = 75071; --Mother Om'ra
		["Мутафен"] = 84417; --Mutafen
		["Наз Данберлин"] = 82247; --Nas Dunberlin
		["Но'лош"] = 79334; --No'losh
		["Опфис"] = 83409; --Ophiis
		["Оскиира Дух Мщения"] = 84872; --Oskiira the Vengeful
		["Наездница Дурета"] = 83680; --Outrider Duretha
		["Бледнокожий рыбоед"] = 78606; --Pale Fishmonger
		["Землепроходец Ялог"] = 78134; --Pathfinder Jalog
		["Налетчица Драга"] = 77095; --Pathstalker Draga
		["Монстр арены"] = 88208; --Pit Beast
		["Главный отравитель Бортуск"] = 84838; --Poisonmaster Bortusk
		["Шаман стихий Мур'ог"] = 76918; --Primalist Mur'og
		["Зиндра Огненный Венец"] = 77642; --Pyrecaster Zindra
		["Ра'кан"] = 77741; --Ra'kahn
		["Рагор Ловец Снегов"] = 84392; --Ragore Driftstalker
		["Раи'вош"] = 82374; --Rai'vosh
		["Красноцап Свирепый"] = 82755; --Redclaw the Feral
		["Гнилошляп"] = 85504; --Rotcap
		["Сангрикасс"] = 84833; --Sangrikass
		["Разведчик Ищущий Крови"] = 77526; --Scout Goreseeker
		["Шон Белое Море"] = 83542; --Sean Whitesea
		["Темноствол"] = 79938; --Shadowbark
		["Шинри"] = 82415; --Shinri
		["Сиктисс, Дева Погибели"] = 78715; --Sikthiss, Maiden of Slaughter
		["Сребролистное древо"] = 79686; --Silverleaf Ancient
		["Сребролистное древо"] = 79693; --Silverleaf Ancient
		["Сребролистное древо"] = 79692; --Silverleaf Ancient
		["Солнечный усилитель"] = 83990; --Solar Magnifier
		["Духоклык"] = 80057; --Soulfang
		["Стальной Бивень"] = 86549; --Steeltusk
		["Топотун Криго"] = 79629; --Stomper Kreego
		["Каменнозлоб"] = 84805; --Stonespite
		["Сернеяр"] = 80725; --Sulfurious
		["Коготь Солнца"] = 86137; --Sunclaw
		["Жалокол"] = 84912; --Sunderthorn
		["Роелист"] = 85520; --Swarmleaf
		["Молниеносный ониксовый живодер"] = 88582; --Swift Onyx Flayer
		["Когтелом"] = 84836; --Talonbreaker
		["Жрица Когтя Зоркра"] = 79485; --Talonpriest Zorkra
		["Тесска Надрыв"] = 84775; --Tesska the Broken
		["Лупцеватель"] = 77527; --The Beater
		["Тор'горот"] = 82618; --Tor'goroth
		["Тура'ака"] = 83591; --Tura'aka
		["Вараша"] = 82050; --Varasha
		["Велосс"] = 75482; --Veloss
		["Страж Бездны Урния"] = 85078; --Voidreaver Urnae
		["Пророк Бездны Калург"] = 83385; --Voidseer Kalurg
		["Вулканикс"] = 77926; --Vulceros
		["Странствующий воздаятель"] = 77776; --Wandering Vindicator
		["Боевой заклинатель Баргол"] = 78733; --Warcaster Bargol
		["Воевода Блугтол"] = 79024; --Warmaster Blugthol
		["Матриарх ветроклыков"] = 75434; --Windfang Matriarch
		["Разрушитель Зотиар"] = 82922; --Xothear, the Destroyer
		["Йага Изрубцованная"] = 79145; --Yaga the Scarred
		["Яджира Испепелительница"] = 77529; --Yazheera the Incinerator
		["Иггдрел"] = 75435; --Yggdrel
		["Лунная волчица"] = 71992; --Moonfang
		["Древний инфернал"] = 84875; --Ancient Inferno
		["Камнебашня"] = 83819; --Brickhouse
		["Демид"] = 84911; --Demidos
		["Старейшина-темнопряд Кат"] = 85771; --Elder Darkweaver Kath
		["Кровомес"] = 84893; --Goregore
		["Кортал Душеед"] = 84110; --Korthall Soulgorger
		["Курлош Роковой Клык"] = 82988; --Kurlosh Doomfang
		["Леди Демлаш"] = 82942; --Lady Demlash
		["Мандрагонстр"] = 83683; --Mandragoraster
		["Ораггро"] = 84904; --Oraggro
		["Орумо Наблюдатель"] = 87668; --Orumo the Observer
		["Пантора"] = 83691; --Panthora
		["Ходячий кошмар темного пламени"] = 82930; --Shadowflame Terrorwalker
		["Титарус"] = 83713; --Titarus
		["Дозорный Паартос"] = 88436; --Vigilant Paarthos
		["Верховный маг Текар"] = 88072; --Archmagus Tekar
		["Бомбардир Гу'гок"] = 87597; --Bombardier Gu'gok
		["Плененный гранильщик из клана Гор'вош"] = 84746; --Captured Gor'vosh Stoneshaper
		["Проклятый предвестник"] = 85767; --Cursed Harbinger
		["Проклятый опустошитель"] = 85763; --Cursed Ravager
		["Проклятый острокоготь"] = 85766; --Cursed Sharptalon
		["Гиблет Трусливый"] = 87352; --Gibblette the Cowardly
		["Гибби"] = 87362; --Gibby
		["Гуг'тол"] = 83019; --Gug'tol
		["Седой мороз"] = 87348; --Hoarfrost
		["Авангард Легиона"] = 88494; --Legion Vanguard
		["Старший сержант Милгра"] = 85001; --Master Sergeant Milgra
		["Плавнома"] = 82614; --Moltnoma
		["Мать горенов"] = 87351; --Mother of Goren
		["Интендант Гершак"] = 84925; --Quartermaster Hershak
		["Глашатай теней Ниир"] = 85029; --Shadowspeaker Niir
		["Тяжелень Пожиратель Трупов"] = 82617; --Slogtusk the Corpse-Eater
		["Сын Горамала"] = 82620; --Son of Goramal
		["Стражница душ Нейлана"] = 88083; --Soulbinder Naylana
		["Стратег Анкор"] = 88071; --Strategist Ankor
		["Костяной червь"] = 78265; --The Bone Crawler
		["Мастер клинка Ро'гор"] = 86579; --Blademaster Ro'gor
		["Дезертир Дазго"] = 86566; --Defector Dazgo
		["Дерп Ненавистный"] = 86571; --Durp the Hated
		["Горивакс"] = 82536; --Gorivax
		["Хоргг"] = 86577; --Horgg
		["Изобретатель Патронбах"] = 86574; --Inventor Blammo
		["Мадгард Без'мозг"] = 86562; --Maniacal Madgard
		["Морго Каин"] = 86582; --Morgo Kain
		["Лантикора"] = 77081; --The Lanticore
		["Валкор"] = 87357; --Valkor
		["Врок Древний"] = 87356; --Vrok the Ancient
		["Воевода Ноктин"] = 82883; --Warlord Noktyn
		["Ак'окс Убийца"] = 84378; --Ak'ox the Slaughterer
		["Алкали"] = 86268; --Alkali
		["Лавина"] = 85568; --Avalanche
		["Костедробильщик"] = 87837; --Bonebreaker
		["Обжигающая сила"] = 84926; --Burning Power
		["Дург Хребтолом"] = 87788; --Durg Spinecrusher
		["Прожорливый великан"] = 87019; --Gluttonous Giant
		["Криворот"] = 78269; --Gnarljaw
		["Горг'ак Лавохлеб"] = 72364; --Gorg'ak the Lava Guzzler
		["Гортаг Стальная Хватка"] = 87344; --Gortag Steelgrip
		["Слякоч-повелитель"] = 78260; --King Slime
		["Крал Остроглаз"] = 87239; --Krahl Deadeye
		["Скачущий проглот"] = 84465; --Leaping Gorger
		["Малгош Хранитель Тьмы"] = 85451; --Malgosh Shadowkeeper
		["Механический расхититель"] = 87026; --Mecha Plunderer
		["Могамаго"] = 88586; --Mogamago
		["Мистер Пинчи-старший"] = 84435; --Mr. Pinchy Sr.
		["Нагидна"] = 85555; --Nagidna
		["Темный исполин"] = 87027; --Shadow Hulk
		["Верткая слизь"] = 84854; --Slippery Slime
		["Серебряная Утроба"] = 85837; --Slivermaw
		["Исказитель душ Торек"] = 85026; --Soul-Twister Torek
		["Уг'лок Ледяной"] = 79104; --Ug'lok the Frozen
		["Обездвиженный воин"] = 84196; --Web-wrapped Soldier
		["Аогексон"] = 86774; --Aogexon
		["Бастен"] = 86257; --Basten
		["Бергруу"] = 86732; --Bergruu
		["Боррок Пожиратель"] = 72156; --Borrok the Devourer
		["Декорхан"] = 86743; --Dekorhan
		["Ехидна"] = 80372; --Echidna
		["Гагрог Жестокий"] = 86771; --Gagrog the Brutal
		["Керавнос"] = 80398; --Keravnos
		["Круд Потрошитель"] = 88210; --Krud the Eviscerator
		["Лернея"] = 80370; --Lernaea
		["Му'гра"] = 87666; --Mu'gra
		["Нултра"] = 86258; --Nultra
		["Гладиатор-убийца"] = 87846; --Pit Slayer
		["Тек'ког"] = 86750; --Thek'talon
		["Тифон"] = 80371; --Typhon
		["Валстил"] = 86259; --Valstil
		["Ядолазикс"] = 86266; --Venolasix
		["Гнусокоготь"] = 88951; --Vileclaw
		["Зелганаг"] = 86835; --Xelganak
		["Капитан Железнобород"] = 79725; --Captain Ironbeard
		["Газ'орда"] = 80122; --Gaz'orda
		["Порождение Пустоты"] = 83401; --Netherspawn
		["Ру'клаа"] = 83526; --Ru'klaa
		["Призыватель ветров Кораст"] = 83428; --Windcaller Korast
		["Берсерк Т-300, модель II"] = 82826; --Berserk T-300 Series Mark II
		["Исследователь Ноззанд"] = 82486; --Explorer Nozzand
		["Хищноцвет"] = 83509; --Gorepetal
		["Камнезубище"] = 84263; --Graveltooth
		["Разведчик Покхар"] = 83634; --Scout Pokhar
		["Злобовзор"] = 86978; --Gaze
		["Колючий обжора"] = 84951; --Gobblefin
		["Грбргл"] = 85572; --Grrbrrgle
		["Аарко"] = 77664; --Aarko
		["Эхо Бормотуна"] = 77828; --Echo of Murmur
		["Эхо Бормотуна"] = 77795; --Echo of Murmur
		["Ширзир"] = 79543; --Shirzir
		["Таладорантул"] = 77634; --Taladorantula
		["Надзиратель Кровавая Грива"] = 80524; --Underseer Bloodmane
		["Ролкор"] = 85264; --Rolkor
		["Силлдросс"] = 86410; --Sylldross
		["Королева улья Скрикка"] = 83522; --Hive Queen Skrikka
		["Праматерь Риг'ак"] = 74613; --Broodmother Reeg'ak
		["Погибель гигантов"] = 77519; --Giantbane
		["Снявол"] = 86689; --Sneevel
		["Топотамус"] = 86520; --Stompalupagus
		["Бертора"] = 85907; --Berthora
		["Риптар"] = 85970; --Riptar
		["Гипножаба"] = 79524; --Hypnocroak
		["Каменное Копыто"] = 72606; --Rockhoof
		["Ядомрак"] = 75492; --Venomshade
		["Накк Громогласный"] = 50990; --Nakk the Thunderer
		["Горок"] = 50992; --Gorok
		["Лук'хок"] = 50981; --Luk'hok
		["Пудовый Кулак"] = 50985; --Poundfist
		["Сильфида"] = 51015; --Silthide
		["Торопун"] = 50883; --Pathrunner
		["Нок-Карош"] = 81001; --Nok-Karosh
		
		-- Rares Draenor 6.2
		["Аргош Разрушитель"] = 91871; --Argosh the Destroyer
		["Белгорк"] = 92552; --Belgork
		["Белкор Метатель"] = 90884; --Bilkor the Thrower
		["Ужас Кровавой Глазницы"] = 92657; --Bleeding Hollow Horror
		["Кровавый охотник Зулк"] = 90936; --Bloodhunter Zulk
		["Вожак стаи Икскор"] = 92429; --Broodlord Ixkor
		["Капитан Грок'мар"] = 93264; --Captain Grok'mar
		["Капитан Железнобород"] = 93076; --Captain Ironbeard
		["Кераксас"] = 90434; --Ceraxas
		["Обуглень Дикий Огонь"] = 90519; --Cindral the Wildfire
		["Призывательница Тьмы Рендкра"] = 90081; --Dark Summoner Rendkra
		["Дорг Кровавый"] = 90887; --Dorg the Bloody
		["Дрисс Злобный"] = 93028; --Driss Vile
		["Дривнул"] = 90888; --Drivnul
		["Палач Рилот"] = 91727; --Executor Riloth
		["Сквернобор"] = 93168; --Felbore
		["Кузнец Скверны Даморка"] = 92647; --Felsmith Damorka
		["Вспышка Скверны"] = 91098; --Felspark
		["Мрачный Коготь"] = 92508; --Gloomtalon
		["Горабош"] = 92941; --Gorabosh
		["Главный чернокнижник Пустоклят"] = 91695; --Grand Warlock Nethekurse
		["Граннок"] = 93057; --Grannok
		["Гробток Крушитель Черепов"] = 90089; --Grobthok Skullbreaker
		["Начальник гавани Корак"] = 90094; --Harbormaster Korak
		["Верховный жрец Икзан"] = 90281; --High Priest Ikzan
		["Верховный жрец Икзан"] = 90777; --High Priest Ikzan
		["Повелительница бесов Валесса"] = 90429; --Imp-Master Valessa
		["Железный капитан Арга"] = 90087; --Iron Captain Argha
		["Джакс'зор"] = 90437; --Jax'zor
		["Крелл Невозмутимый"] = 92517; --Krell the Serene
		["Крис'кар Неприкаянный"] = 93279; --Kris'kar the Unredeemed
		["Леди Оран"] = 90438; --Lady Oran
		["Магвиа"] = 93002; --Magwia
		["Госпожа Тавра"] = 90442; --Mistress Thavra
		["Ормак Окровавленная Стрела"] = 90088; --Ormak Bloodbolt
		["Властитель Ма'грут"] = 92411; --Overlord Ma'gruth
		["Госпожа боли Селора"] = 92274; --Painmistress Selora
		["Повелитель стручлингов Ваккавам"] = 91374; --Podlord Wakkawam
		["Мерзо'тар"] = 91009; --Putre'thar
		["Расте"] = 90782; --Rasthe
		["Релгор"] = 92197; --Relgor
		["Частица Кровавой Луны"] = 91227; --Remnant of the Blood Moon
		["Раздиратель"] = 92627; --Rendrak
		["Рогонд Следопыт"] = 90885; --Rogond the Tracker
		["Рукмаз"] = 94113; --Rukmaz
		["Сержант Мор'грак"] = 90024; --Sergeant Mor'grak
		["Темнохлест"] = 93236; --Shadowthrash
		["Душерез"] = 92495; --Soulslicer
		["Сталерыл"] = 92887; --Steelsnout
		["Силисса"] = 92606; --Sylissa
		["Зирек Порочный"] = 93001; --Szirek the Twisted
		["Черный Клык"] = 92465; --The Blackfang
		["Кровокоготь"] = 92694; --The Goreclaw
		["Железный псарь"] = 92977; --The Iron Houndmaster
		["Ужас ночи"] = 92645; --The Night Haunter
		["Ужас ночи"] = 92636; --The Night Haunter
		["То'гар Кровавый Кулак"] = 91243; --Tho'gar Gorefist
		["Тромма Брюхорез"] = 92574; --Thromma the Gutslicer
		["Варикс Проклятый"] = 92451; --Varyx the Damned
		["Ксанзит Вечный"] = 92408; --Xanzith the Everlasting
		["Зетер'ель"] = 91087; --Zeter'el
		["Зуг Тяжеловес"] = 90122; --Zoug the Heavy
		["Древошкур"] = 91093; --Bramblefell
		["Командир Краг'гот"] = 91232; --Commander Krag'goth
		["Командир Орг'мок"] = 89675; --Commander Org'mok
		["Коготь Смерти"] = 95053; --Deathtalon
		["Пушка Смерти"] = 95056; --Doomroller
		["Глуб'глок"] = 93125; --Glub'glok
		["Кулак Страха"] = 95044; --Terrorfist
		["Отмщение"] = 95054; --Vengeance
		["Лилочервь"] = 91921; --Wyrmple
		["Ксемиркол"] = 96235; --Xemirkol
		
		-- Rares Draenor 6.2.1
		["Гук"] = 98200; --Guk
		["Пугг"] = 98199; --Pugg
		["Рукдуг"] = 98198; --Rukdug
		["Дракум"] = 98283; --Drakum
		["Гондар"] = 98284; --Gondar
		["Шумм Хват"] = 98285; --Smashum Grabb
		["Надзиратель Скверны Грязевик"] = 98408; --Fel Overseer Mudlump
		["Арахний"] = 96323; --Arachnis
		["Эраакис"] = 97209; --Eraakis
	}
end
